Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor .NET
  VB.Net Inventor Teileliste erstellen und Benutzerdefinierte Spalten hinzufügen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   VB.Net Inventor Teileliste erstellen und Benutzerdefinierte Spalten hinzufügen (377 mal gelesen)
Floboo
Mitglied


Sehen Sie sich das Profil von Floboo an!   Senden Sie eine Private Message an Floboo  Schreiben Sie einen Gästebucheintrag für Floboo

Beiträge: 5
Registriert: 10.04.2018

erstellt am: 16. Mrz. 2019 19:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Vollzeit- und Hobby Programmierer,

derzeit wage ich mich an die Teileliste in einer Inventor Zeichnung.
Sowohl mein Addin als auch der Zugriff von extern (Plugin) funktionieren.

Ich möchte eine Teileliste, der ersten Baugruppenansicht auf dem aktiven Blatt einfügen und entsprechende Spalten hinzufügen.

Die Teileliste wird eingefügt und bereits mit den entsprechenden Spalten gefüllt.

Leider bekomme ich bei Spalten mit dem PropertyType = kCustomProperty und Spalten mit PropertyType = kFileProperty Fehlermeldungen.

Ich denke, es liegt daran, das es für kFileProperty und kCustomProperty mehrere Einträge gibt (Firma, Bestellungsdatum, Autor,...).

Hat jemand einen Tipp, wie ich diese unterscheiden und der Teileliste hinzufügen kann.

Folgenden Testcode verwende ich bislang:

Code:

    Private Sub PartslistToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles PartslistToolStripMenuItem.Click

        Dim oPartsLists As Inventor.PartsLists
        Dim oPartsList As Inventor.PartsList
        Dim oPLC As Inventor.PartsListColumns

        oPartsLists = _invApp.ActiveDocument.ActiveSheet.PartsLists

        Dim oPoint As Point2d
        oPoint = _invApp.ActiveDocument.ActiveSheet.DrawingViews.Item(1).Center
        oPartsLists.Add(_invApp.ActiveDocument.ActiveSheet.DrawingViews.Item(1), oPoint,,,, True)

        oPartsList = _invApp.ActiveDocument.ActiveSheet.PartsLists.Item(1)
        oPLC = oPartsList.PartsListColumns

        oPLC.Add(PropertyTypeEnum.kBaseQuantityPartsListProperty, "test1", , 2, True)
        oPLC.Add(PropertyTypeEnum.kBaseUnitPartsListProperty, "test1", , 2, True)
        'oPLC.Add(PropertyTypeEnum.kCustomProperty, "3", , 1, True)
        oPLC.Add(PropertyTypeEnum.kFilenamePartsListProperty, "test2", , 2, True)
        'oPLC.Add(PropertyTypeEnum.kFileProperty, "test3", , 5, True)
        oPLC.Add(PropertyTypeEnum.kItemPartsListProperty, "test4", , 3, True)
        oPLC.Add(PropertyTypeEnum.kItemQuantityPartsListProperty, "test5", , 2, True)
        oPLC.Add(PropertyTypeEnum.kMassPartsListProperty, "test6", , 2, True)
        oPLC.Add(PropertyTypeEnum.kMaterialPartsListProperty, "test7", , 2, True)
        oPLC.Add(PropertyTypeEnum.kQuantityPartsListProperty, "test8", , 2, True)
        oPLC.Add(PropertyTypeEnum.kUnitQuantityPartsListProperty, "test9", , 2, True)
        oPLC.Add(PropertyTypeEnum.kVolumePartsListProperty, "asd10", , 2, True)

    End Sub


Grüße Flo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Floboo
Mitglied


Sehen Sie sich das Profil von Floboo an!   Senden Sie eine Private Message an Floboo  Schreiben Sie einen Gästebucheintrag für Floboo

Beiträge: 5
Registriert: 10.04.2018

erstellt am: 18. Mrz. 2019 21:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

habe es hinbekommen.
Ich hätte nur den PropertyIdentifier as Object in der oPLC.Add() richtig setzen müssen.

Code:

        Dim oPartsList As Inventor.PartsList

        oPartsList = _invApp.ActiveDocument.ActiveSheet.PartsLists.Item(1)
        oPLC = oPartsList.PartsListColumns

        oPLC.Add(PropertyTypeEnum.kCustomProperty, ,"Name_des_Benutzerdefinierte_iProperties")


Grüße Flo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz